;****************************************************************
;* Macros 			*
;****************************************************************
;-----macro------------TransmitSerial_FlashString-------------------------------------------------
;Transmits null terminated string from retlw table at parameter
;input: table name
;uses:TxPointer
TransmitSerial_FlashString MACRO   data_table
	local	Txpoint1,endtx
		banksel	TxPointer
		clrf	TxPointer
Txpoint1
		banksel	TxPointer
		movf	TxPointer,w
		pagesel	data_table
		call	data_table
		pagesel	$
		movf	WREG,f		;test for table end
		btfsc	STATUS,Z	;
		bra		endtx			;siis valmis
		banksel PIR1
		btfss	PIR1,TXIF	;wait for transmitter to be ready
		bra		$-.1		;
		banksel	TXREG
		movwf	TXREG		;and transmit
		banksel	TxPointer
		incf	TxPointer,F	;increment pointer to next data
		bra		Txpoint1
endtx
				ENDM
